
Core - Task # 61842

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension

Status: New Priority: Won't have this time
Author: Felix Kopp Category:
Created: 2014-09-24 Assigned To:
Updated: 2015-07-20 Due date: 2014-08-08
TYPO3 Version: 7
PHP Version:
Complexity:
Sprint Focus: Remote Sprint
Subject: Refactor CSS-Styled-Content + Content Elements
Description

CSS-Styled-Content will be delivered with version 7.
Umbrella for CSS-Styled-Content tasks

Subtasks:
Feature # 13230: tt_content.search.20 should be done with the new FORM mapping Needs Feedback
Feature # 13229: tt_content.login.20 should be done with the new FORM mapping Accepted
Task # 60801: Remove "tt_content >" from SYSEXT: css_styled_content Rejected
Bug # 48066: Remove content element Bullet List and migrate data Closed
Feature # 49547: Media content element: HTML5 as standard New
Feature # 47709: File Links content element icon/thumb list usability New
Feature # 44779: No css_styled_content on content element TABLE Resolved
Bug # 39518: Page: content element icons inconsistent Accepted
Task # 34794: CSS Styled Content should ship HTML5 by default Resolved
Bug # 14166: Content Type TABLE does not allow 0 cellspacing New
Bug # 37670: Text with image - image dimensions Closed
Bug # 38460: Using media-element --> Flashfallback fails Accepted
Bug # 42070: Media CE (HTML5 <video> element ) controls don't work on Chrome Closed
Bug # 43420: Media element does not render any output Closed
Bug # 44633: Media-element: Vimeo-video can not play via HTML5 New
Feature # 47581: Offer possibility to have ordered list with CType bullets Rejected
Bug # 49476: css_styled_content borderThick could not be set to 0 New
Bug # 53305: HTML5 rendering of headers works only if a date is set Closed
Bug # 56105: image position below: No margin-bottom if more than one image New
Bug # 62682: Separate core and css_styled_content Closed
Related issues:
related to Core - Bug # 20625: Optimize CSS New 2009-06-17

History
#1 - 2014-09-24 12:20 - Felix Kopp
- Parent task set to #61836

#2 - 2014-09-24 12:36 - Felix Kopp
- Subject changed from Refactor CSS-Styled-Content to Refactor CSS-Styled-Content + Content Elements

#3 - 2015-01-02 18:20 - Benjamin Mack
- Target version set to 7.2 (Frontend)

2015-08-04 1/2



#4 - 2015-06-15 17:08 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)

#5 - 2015-06-22 16:01 - Frank Nägler
- Sprint Focus set to Remote Sprint
